# Config

```lua
TZMCPizzaBoyConfig = {}

--[[

    INSTALLATION 

    Feel free to change the notifications.lua file to accommodate your server requirements.

    SERVER/GAME BUILD REQUIREMENTS

    This requires at least server build 8851 & at least game build 3258 (Bottom Dollar Bounties)

]]

TZMCPizzaBoyConfig.Job = {
    deliveryLocations = 5, -- How many locations to deliver to
    time = 600, -- How many seconds does the player have to complete all deliveries
    reward = {
        type = 'cash',
        currency = '$',
        base = 2000, -- Base pay given at the end of the mission
        tipRange = {
            min = 100,
            max = 500
        } 
    }
}

--[[

    START LOCATIONS

    These are just the GTAO Pizza This locations however if you want to add your own locations feel 
    free to add it here. 

    A template of this is below:

    LOCATION_NAME = {
        startCoord =  vector3(0.00, 0.00, 0.00), -- The location of the start job marker
        vehicleSpawn = {
            vector4(0.00, 0.00, 0.00, 0.00), -- The location of a potential vehicle spawn, a random one will be selected when this is started
            vector4(0.00, 0.00, 0.00, 0.00),
            vector4(0.00, 0.00, 0.00, 0.00)
        }
    },

]]

TZMCPizzaBoyConfig.StartLocations = {
    vinewoodBlvd = {
        startCoord =  vector3(538.47, 101.57, 96.53),
        vehicleSpawn = {
            vector4(549.4, 84.36, 95.34, 69.70),
            vector4(544.8, 86.03, 95.48, 69.70),
            vector4(537.91, 88.49, 95.65, 69.70)
        }
    },
    atleeSt = {
        startCoord = vector3(287.37, -963.54, 29.42),
        vehicleSpawn = {
            vector4(282.05, -957.6, 28.75, 267.88),
            vector4(286.12, -957.69, 28.75, 267.88),
            vector4(291.97, -957.82, 28.75, 267.88)
        }
    },
    vespucci = {
        startCoord = vector3(-1529.44, -909.18, 10.17),
        vehicleSpawn = {
            vector4(-1534.55, -923.61, 9.61, 51.20),
            vector4(-1537.87, -921.06, 9.61, 51.20),
            vector4(-1541.51, -918.2, 9.61, 51.20)
        }
    }
}

TZMCPizzaBoyConfig.Target = {
    collectPizza = {
        icon = "fa-solid fa-pizza-slice",
        text = "Collect Pizza"
    }
}


TZMCPizzaBoyConfig.Text = {
    startJob = "Press ~INPUT_CONTEXT~ to begin delivering pizzas for the Pizza This... restaurant",
    inVehicle = "You must be on foot to start this mission",
    deliverPizza = "Press ~INPUT_CONTEXT~ to deliver a pizza to the customer",
    deliveredPizza = "Pizza delivered! You earned %s in tips.",
    missingPizza = "You're missing the pizza!",
    allPizzasDelivered = "All deliveries completed! You earned %s in total.",
    fail = "Time's up! You failed to deliver all the pizzas.",
    customer = "Customer",
    pizzaBoxAlreadyCollected = "You already have a pizza box!",
    heat = "Heat",
    tips = "Tips",
    pizzaDelivered = "Pizza Delivered",
    totalEarned = "Total Earned",
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/pizza-boy-delivery/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
